{
  description = "sspz nix flake";

  outputs = {
    self,
    nixpkgs,
  }: {
    defaultPackage.x86_64-linux = with import nixpkgs {system = "x86_64-linux";};
      stdenv.mkDerivation {
        pname = "sspz";
        version = "0.1";
        src = self;
        nativeBuildInputs = [zig.hook];
        buildInputs = [];
        buildPhase = '''';
      };

    devShells.x86_64-linux.default = with import nixpkgs {system = "x86_64-linux";};
      mkShell {
        nativeBuildInputs = [zig lldb];
        buildInputs = [];

        shellHook = ''
          echo "happy hacking!"
        '';
      };
  };
}
